<!Doctype html>
   <header>
   	  <subheader>
   	  	<h6><em>Science and Engineering Ethics (2001) 7, 231-238</em></h6>
   	  </subheader>
   	<hr>
   	<h1>Software Engineering Code of Ethics and Professional</h1>
   		<h5>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h5>
   	<hr>
   	</header>
   	<body>
   		<p style="font-size:11px"><span class="bolded">Keywords:</span>code of ethics, professional responsibility, software engineering</p>
   		<p style="font-size:15px"><span class="bolded">PREAMBLE</span></p>
   		<p style="font-size:11px">The short version of the code summarizes aspirations at a high level of abstraction. The clauses<br>
   		that are included in the full version give examples and details of how these aspirations change<br>
   		that way we act as software engineering professionals. Without the aspirations, the details can<br>
   		become legalistic and tedious; without the aspirations can become high-sounding<br>
   	    but empty; together, the aspirations and the details form a cohesive codes.</p>
   	    <p style="font-size:11Px">Software engineers shall commit themselves to making the analysis, specification, design,<br>
   	    developement, testing, and maintenance of software a beneficial and respected profession. In<br>
   	    accordance with their commitment to the health, safety, and welfare of the public, software<br>
   	    engineers shall adhere to the following eigh Principles:</p>
   	    <p style="font-size:15px"><span class="bolded">PRINCIPLES</span></p>
   	    <ol>
   	    	<li><em>Public.</em> Software engineers shall act consistently with the public interest</li>
   	    	<li><em>Client and employer.</em> Software engineers shall acy in a manner that is in the best interests<br>of their client and employer, consistent with the public interest</li>
   	    	<li><em>Product.</em> Software engineers shall ensure that their products related modification<br>meet the highest professional standards possible</li>
   	    	<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their<br>professional judgement.</li>
   	    	<li><em>Management.</em> Software engineers managers and leaders shall subscribe to and promote<br> an ethical approach to the management of software developement and maintenance</li>
   	    	<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of<br>the profession consistent with the public interest.</li>
   	    	<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
   	    	<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of<br>their profession and shall promote an ethical approach to the practice of the profession</li>
   	    </ol>
   	</body>
</html>   	